Subject: Re: bug#69606: [PATCH] Ensure default-directory exists when generating diff

From: Michael Albinus <[email-masked]>
Date: Fri, 21 Feb 2025 12:18:56 +0100

Philip Kaludercic <[email-masked]> writes:

Hi Philipp,
>>
>>> Is it safe to always use a temporary directory?  I would have expected
>>> there to be edge-cases when using TRAMP where that might matter, and we
>>> should only fall back if really necessary?
>>
>> There is no problem wrt temporary-file-directory and Tramp.
>
> Then we should go with that approach.  Do you want to push the change?

I thought you do :-) But no problem, I can do it.

The question is how we bring it to Emacs 30. Pushing to the emacs-30
branch (perhaps too late due to the release candidate). Or pushing to
master, and ask Srefan to add this to the to-be-merged-from-master-after-the-release-list.

Best regards, Michael.